Clinia
TerminologyVocabularies

Bulk upsert, update or delete concepts

POST
/terminology/v1/vocabularies/{vocabularyKey}/concepts/bulk

Bulk upsert, update or delete concepts. Bulk operations are processed synchronously.

X-Clinia-API-Key<token>

In: header

Path Parameters

vocabularyKey*string

The key of the vocabulary.

Request Body

application/json

The request body should contain a list of concepts to upsert, update or delete.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/terminology/v1/vocabularies/string/concepts/bulk" \  -H "Content-Type: application/json" \  -d '{    "operations": [      {        "action": "CREATE",        "upsert": {          "definition": "string",          "designation": {            "property1": "string",            "property2": "string"          }        }      }    ]  }'
{  "status": "SUCCESS",  "receipts": [    {      "code": "string",      "status": "SUCCESS",      "error": {        "code": 400,        "message": "string",        "type": "ALREADY_EXISTS",        "details": [          {}        ],        "additionalContext": {}      }    }  ]}